<template>
    <div class="v-loading">
        <loading :lock-scroll="true" height="50" width="50" color="#025471" :active="loading" :can-cancel="true"
            :on-cancel="onCancel" :is-full-page="isFullPage" />
    </div>
</template>

<script>
import Loading from 'vue-loading-overlay';
import 'vue-loading-overlay/dist/vue-loading.css';

export default {
    name: 'v-loading',
    components: {
        Loading
    },
    props: {
        loading: {
            type: Boolean,
            default: false
        },
        isFullPage: {
            type: Boolean,
            default: false
        }
    }
}
</script>
